const { DataTypes } = require('sequelize');
const sequelize = require('../../config/sequelize'); 

const PortfolioSection = sequelize.define('PortfolioSection', {
  main_heading: {
    type: DataTypes.STRING,
    allowNull: false,
  },
  cta_link: {
    type: DataTypes.STRING,
    allowNull: true,
  },
  cta_text: {
    type: DataTypes.STRING,
    allowNull: true,
  }
}, {
  tableName: 'portfolio_section',
  timestamps: true,
});

module.exports = PortfolioSection;
